%define upstream_name    Git-Repository-Plugin-Blame
%define upstream_version v1.3.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cache the output of C<< Git::Repository->blame() >>
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Validate::Type)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git::Repository)
BuildRequires: perl(Git::Repository::Plugin::Log)
BuildRequires: perl(Perl6::Slurp)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::Git)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Type)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module adds a new 'blame()' method to the Git::Repository manpage,
which can be used to determine what the last change for each line in a file
is.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.3.0-3pclos2017
- rebuild against updates

